Package ghidra.rmi.trace

# Enum Class TraceRmi.ObjSpec.KeyCase

java.lang.Object
java.lang.Enum<TraceRmi.ObjSpec.KeyCase>
ghidra.rmi.trace.TraceRmi.ObjSpec.KeyCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<TraceRmi.ObjSpec.KeyCase>`, `Constable`

Enclosing class:
  `TraceRmi.ObjSpec`

public static enum TraceRmi.ObjSpec.KeyCase extends Enum<TraceRmi.ObjSpec.KeyCase> implements com.google.protobuf.Internal.EnumLite

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ID`
  `KEY_NOT_SET`
  `PATH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TraceRmi.ObjSpec.KeyCase`
  `forNumber(int value)`
  `int`
  `getNumber()`
  `static TraceRmi.ObjSpec.KeyCase`
  `valueOf(int value)`
  Deprecated.
  `static TraceRmi.ObjSpec.KeyCase`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TraceRmi.ObjSpec.KeyCase[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ID

    public static final TraceRmi.ObjSpec.KeyCase ID

  - ### PATH

    public static final TraceRmi.ObjSpec.KeyCase PATH

  - ### KEY_NOT_SET

    public static final TraceRmi.ObjSpec.KeyCase KEY_NOT_SET

- ## Method Details

  - ### values

    public static TraceRmi.ObjSpec.KeyCase[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TraceRmi.ObjSpec.KeyCase valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### valueOf

    @Deprecated public static TraceRmi.ObjSpec.KeyCase valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static TraceRmi.ObjSpec.KeyCase forNumber(int value)

  - ### getNumber

    public int getNumber()
    Specified by:
      `getNumber` in interface `com.google.protobuf.Internal.EnumLite`